Skip to main content
GET
/
v1
/
workers
/
{id}
Get worker
curl --request GET \
  --url https://api.openworklabs.com/v1/workers/{id}
import requests

url = "https://api.openworklabs.com/v1/workers/{id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.openworklabs.com/v1/workers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "worker": {
    "id": "<string>",
    "orgId": "<string>",
    "createdByUserId": "<string>",
    "isMine": true,
    "name": "<string>",
    "description": "<string>",
    "destination": "<string>",
    "status": "<string>",
    "imageVersion": "<string>",
    "workspacePath": "<string>",
    "sandboxBackend": "<string>",
    "lastHeartbeatAt": "2023-11-07T05:31:56Z",
    "lastActiveAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "instance": {
    "provider": "<string>",
    "region": "<string>",
    "url": "<string>",
    "status": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

id
string<typeid>
required

Den TypeID with 'wrk_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^wrk_.*

Response

Worker returned successfully.

worker
object
required
instance
object | null
required